OciCacheBackupClient¶
-
class
oci.redis.OciCacheBackupClient(config, **kwargs)¶ Use the OCI Cache API to create and manage clusters. A cluster is a memory-based storage solution. For more information, see [OCI Cache](/iaas/Content/ocicache/home.htm).
Methods
__init__(config, **kwargs)Creates a new service client change_oci_cache_backup_compartment(…)Moves an OCI Cache Backup resource from one compartment identifier to another. create_oci_cache_backup(…)Creates a new OCI Cache Backup. delete_oci_cache_backup(oci_cache_backup_id, …)Deletes an OCI Cache Backup resource by identifier export_oci_cache_backup_to_object_storage(…)Initiates an asynchronous export of the backup’s RDB file(s) to the specified Object Storage bucket. get_oci_cache_backup(oci_cache_backup_id, …)Gets an OCI Cache Backup by identifier list_oci_cache_backups(**kwargs)Returns a list of OCI Cache Backups. update_oci_cache_backup(oci_cache_backup_id, …)Updates the OCI Cache Backup -
__init__(config, **kwargs)¶ Creates a new service client
Parameters: - config (dict) – Configuration keys and values as per SDK and Tool Configuration.
The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config() - service_endpoint (str) – (optional)
The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint. - timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
- signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argument - retry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here. - circuit_breaker_strategy (obj) – (optional)
A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level).
This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here. - circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
- client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
- allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
- enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- config (dict) – Configuration keys and values as per SDK and Tool Configuration.
The
-
change_oci_cache_backup_compartment(oci_cache_backup_id, change_oci_cache_backup_compartment_details, **kwargs)¶ Moves an OCI Cache Backup resource from one compartment identifier to another. When provided, If-Match is checked against ETag values of the resource.
Parameters: - oci_cache_backup_id (str) – (required) Unique OCI Cache Backup identifier.
- change_oci_cache_backup_compartment_details (oci.redis.models.ChangeOciCacheBackupCompartmentDetails) – (required) The information to be updated.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use change_oci_cache_backup_compartment API.
-
create_oci_cache_backup(create_oci_cache_backup_details, **kwargs)¶ Creates a new OCI Cache Backup.
Parameters: - create_oci_cache_backup_details (oci.redis.models.CreateOciCacheBackupDetails) – (required) Details for the new OCI Cache Backup.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeOciCacheBackupReturn type: Example: Click here to see an example of how to use create_oci_cache_backup API.
-
delete_oci_cache_backup(oci_cache_backup_id, **kwargs)¶ Deletes an OCI Cache Backup resource by identifier
Parameters: - oci_cache_backup_id (str) – (required) Unique OCI Cache Backup identifier.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_oci_cache_backup API.
-
export_oci_cache_backup_to_object_storage(oci_cache_backup_id, export_oci_cache_backup_to_object_storage_details, **kwargs)¶ Initiates an asynchronous export of the backup’s RDB file(s) to the specified Object Storage bucket. The service generates the object names. For sharded backups, one object is written per shard under the optional prefix.
Parameters: - oci_cache_backup_id (str) – (required) Unique OCI Cache Backup identifier.
- export_oci_cache_backup_to_object_storage_details (oci.redis.models.ExportOciCacheBackupToObjectStorageDetails) – (required) The destination Object Storage information for the export.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use export_oci_cache_backup_to_object_storage API.
-
get_oci_cache_backup(oci_cache_backup_id, **kwargs)¶ Gets an OCI Cache Backup by identifier
Parameters: - oci_cache_backup_id (str) – (required) Unique OCI Cache Backup identifier.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeOciCacheBackupReturn type: Example: Click here to see an example of how to use get_oci_cache_backup API.
-
list_oci_cache_backups(**kwargs)¶ Returns a list of OCI Cache Backups.
Parameters: - compartment_id (str) – (optional) The ID of the compartment in which to list resources.
- lifecycle_state (str) –
(optional) A filter to return the OCI Cache Backup resources, whose lifecycle state matches with the given lifecycle state.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “DELETING”, “DELETED”, “FAILED”
- display_name (str) – (optional) A filter to return only resources that match the entire display name given.
- oci_cache_backup_id (str) – (optional) Unique OCI Cache Backup identifier.
- source_cluster_id (str) – (optional) A filter to return the OCI Cache Backup resources, whose source cluster ID matches with the given source cluster ID.
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
- sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeOciCacheBackupCollectionReturn type: Example: Click here to see an example of how to use list_oci_cache_backups API.
-
update_oci_cache_backup(oci_cache_backup_id, update_oci_cache_backup_details, **kwargs)¶ Updates the OCI Cache Backup
Parameters: - oci_cache_backup_id (str) – (required) Unique OCI Cache Backup identifier.
- update_oci_cache_backup_details (oci.redis.models.UpdateOciCacheBackupDetails) – (required) The information to be updated.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeOciCacheBackupReturn type: Example: Click here to see an example of how to use update_oci_cache_backup API.
-